Evaluate the quality of a finding before submitting it.
curl --request POST \
--url https://api.example.com/api/v0/repositories/{repo_id}/ai/evaluate-draft-quality \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"category": "<string>",
"assetGroup": {
"assetGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assets": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"safeHarborAssetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"relatedFiles": [
{
"path": "<string>",
"lines": {
"start": 123,
"end": 123
}
}
],
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v0/repositories/{repo_id}/ai/evaluate-draft-quality"
payload = {
"title": "<string>",
"description": "<string>",
"category": "<string>",
"assetGroup": {
"assetGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assets": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"safeHarborAssetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"relatedFiles": [
{
"path": "<string>",
"lines": {
"start": 123,
"end": 123
}
}
],
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
category: '<string>',
assetGroup: {
assetGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assets: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
safeHarborAssetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
relatedFiles: [{path: '<string>', lines: {start: 123, end: 123}}],
commentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v0/repositories/{repo_id}/ai/evaluate-draft-quality', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"qualityScore": 1,
"templateCompliance": true,
"hasPoc": true,
"hasLikelihoodField": true,
"hasImpactField": true,
"hasRemediation": true,
"isCodeLinked": true,
"suggestionsWriting": "<string>",
"isIssueClearlyDescribed": true,
"isIssueReasonDescribed": true,
"isLikelihoodImpactMatrixCorrect": true
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Repositories
Evaluate the quality of a finding before submitting it.
Access control rules
- The requester must have access to the repository, and be either an auditor or an admin.
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
ai
/
evaluate-draft-quality
Evaluate the quality of a finding before submitting it.
Path Parameters
Body
application/json
Severity of a [Finding].
Available options:
critical, high, medium, low, informational, gas_optimization Likelihood of a [Finding].
Available options:
high, medium, low Impact of a [Finding].
Available options:
high, medium, low Show child attributes
Show child attributes
Show child attributes
Show child attributes
Populate it if the new finding originates from a file comment
Response
AI response
The response of evaluating a finding draft via AI
Required range:
x >= 0Ask the AI service about the status of a given repository.List all labels across repositories the user has access to.
⌘I